Valkyrie::Redis

A Redis metadata backend for Valkyrie

CircleCI Coverage Status

Requirements

Ruby version

Ruby 2.3 or above

Installation

Add this line to your application's Gemfile:

gem 'valkyrie-redis'

Usage

Follow the Valkyrie README to get a development or production environment up and running. To enable Redis support, add the following to your application's config/initializers/valkyrie.rb:

Valkyrie::MetadataAdapter.register(
  Valkyrie::Persistence::Redis::MetadataAdapter.new,
  :redis
)

You can then use :redis as a metadata adapter value in config/valkyrie.yml

Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/samvera-labs/valkyrie-redis/.

License

Valkyrie::Redis is available under the Apache 2.0 license.